classification
Title: find_library can return directories instead of files
Type: behavior Stage:
Components: ctypes Versions: Python 3.0, Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: theller Nosy List: rfk, theller
Priority: normal Keywords:

Created on 2009-01-08 00:43 by rfk, last changed 2009-05-05 19:53 by theller. This issue is now closed.

Messages (2)
msg79385 - (view) Author: Ryan Kelly (rfk) Date: 2009-01-08 00:43
On win32, ctypes.util.find_library uses os.path.exists() to check for
potential library files.  This means it is quite happy to return a
directory instead of a file, if one happens to exist with the
appropriate name somewhere in the search path.  Can this please be
changed to use os.path.isfile() instead of os.path.exists()?
msg87276 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2009-05-05 19:53
Fixed in trunk (rev 72352), release26-maint (rev 72353), py3k (rev
72354), and release30-maint (rev 72355).
History
Date User Action Args
2009-05-05 19:53:43thellersetstatus: open -> closed
resolution: fixed
messages: + msg87276
2009-04-28 20:15:33thellersetversions: + Python 3.0, Python 3.1, Python 2.7
2009-01-08 00:43:35rfkcreate